@mixin no-touch {
	@media (hover), (min-width:0\0), (min--moz-device-pixel-ratio:0){
		.no-touchevents{
			@content;
		}
	}
}

@mixin no-touch-global {
	.no-touchevents &{
		@content;
	}
}

@mixin touch {
	.touchevents &{
		@content;
	}
}

@mixin touch-global {
	.touchevents &{
		@content;
	}
}

@mixin touch {
	.touchevents{
		@content;
	}
}

@mixin no-touch-hover {
	@media (hover), (min-width:0\0), (min--moz-device-pixel-ratio:0){
		&:hover{
			@content;
		}
	}
}

@mixin no-touch-hover-plus {
	@media (hover), (min-width:0\0), (min--moz-device-pixel-ratio:0){
		&:hover, &.hover{
			@content;
		}
	}
}